package com.qmth.exam.reserve.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum DateField {

    YEAR(1, "年份"),

    MONTH(2, "月份"),

    WEEK(3, "星期"),

    DAY(5, "日期"),

    HOUR(11, "小时"),

    MINUTE(12, "分钟"),

    SECOND(13, "秒");

    private int value;
    private String name;

    public static DateField getByName(String name) {
        for (DateField r : DateField.values()) {
            if (r.getName().equals(name)) {
                return r;
            }
        }
        return null;
    }

}
